Bug 244262 - (perl-CGI-FormBuilder) Review Request: perl-CGI-FormBuilder - Easily generate and process stateful forms
Review Request: perl-CGI-FormBuilder - Easily generate and process stateful f...
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
Depends On:
  Show dependency treegraph
Reported: 2007-06-14 15:11 EDT by Jeffrey C. Ollie
Modified: 2015-06-25 19:56 EDT (History)
3 users (show)

See Also:
Fixed In Version: perl-CGI-FormBuilder-3.0800-5.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-06-21 23:20:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
limburgher: fedora‑cvs+

Attachments (Terms of Use)

  None (edit)
Description Jeffrey C. Ollie 2007-06-14 15:11:55 EDT
Spec URL: http://repo.ocjtech.us/misc/fedora/development/SRPMS/perl-CGI-FormBuilder-3.0501-1.fc8.spec
SRPM URL: http://repo.ocjtech.us/misc/fedora/development/SRPMS/perl-CGI-FormBuilder-3.0501-1.fc8.src.rpm

The goal of CGI::FormBuilder (FormBuilder) is to provide an easy way
for you to generate and process entire CGI form-based
applications. Its main features are:

Field Abstraction

    Viewing fields as entities (instead of just params), where the
    HTML representation, CGI values, validation, and so on are
    properties of each field.


    Lots of built-in "intelligence" (such as automatic field typing),
    giving you about a 4:1 ratio of the code it generates versus what
    you have to write.  Built-in Validation

    Full-blown regex validation for fields, even including JavaScript
    code generation.

Template Support

    Pluggable support for external template engines, such as
    HTML::Template, Text::Template, Template Toolkit, and

Plus, the native HTML generated is valid XHTML 1.0 Transitional.
Comment 1 Chris Weyl 2007-06-15 10:35:44 EDT
Hey Jeff -- couple quick spec notes:

BR'ing perl is ok, but depreciated if you don't need to specify a specific
version of perl (e.g. 1:5.006).

BR'ing perl-devel is strongly discouraged, even if wrapped in a conditional (and
if I were doing a full review right now I would consider it a blocker). 
Instead, the canonical approach is to add BR's on certain core modules that have
been deemed devel and split off: See

The README notes the license as standard perl, that is "GPL or Artistic", but
your spec notes the license as just GPL.

There are a number of "optional" modules noted in Makefile.PL; maybe they're not
needed for build but it looks to be that the tests will require them, e.g.:

        4/4 skipped: skip: CGI::FastTemplate not installed here
Comment 2 Jeffrey C. Ollie 2007-06-15 14:39:36 EDT
Spec URL:

Updated BR's and licese.  I didn't BR perl(CGI::FastTemplate) because
that's under review in bug 244222.

Comment 3 Chris Weyl 2007-06-15 17:28:16 EDT
(In reply to comment #2)
> Updated BR's and licese.  I didn't BR perl(CGI::FastTemplate) because
> that's under review in bug 244222.

Ahh, in that case, it should be br'd here and this bug marked as depending on
the review bug for CGI::FastTemplate...  That way everything gets reviewed in
the right order.
Comment 5 Jason Tibbitts 2007-06-20 01:46:48 EDT
I note that the description is a bit excessive.  Frankly I'd remove everything
after the first sentence, but you're the maintainer and so I'll just leave it up
to you.

The file FormBuilder.pm.orig is a bit odd.  It's from the upstream source, but I
suspect it's a mistake.  Can you check it and remove it if it shouldn't be there?

Other than that, everything looks good.

* source files match upstream:
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK (perhaps a bit long)
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text not included upstream.
* latest version is being packaged.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (development, x86_64).
* package installs properly
* rpmlint is silent.
* final provides and requires are sane:
   perl(CGI::FormBuilder) = 3.0501
   perl(CGI::FormBuilder::Field) = 3.0501
   perl(CGI::FormBuilder::Field::button) = 3.0501
   perl(CGI::FormBuilder::Field::checkbox) = 3.0501
   perl(CGI::FormBuilder::Field::file) = 3.0501
   perl(CGI::FormBuilder::Field::hidden) = 3.0501
   perl(CGI::FormBuilder::Field::image) = 3.0501
   perl(CGI::FormBuilder::Field::password) = 3.0501
   perl(CGI::FormBuilder::Field::radio) = 3.0501
   perl(CGI::FormBuilder::Field::select) = 3.0501
   perl(CGI::FormBuilder::Field::static) = 3.0501
   perl(CGI::FormBuilder::Field::submit) = 3.0501
   perl(CGI::FormBuilder::Field::text) = 3.0501
   perl(CGI::FormBuilder::Field::textarea) = 3.0501
   perl(CGI::FormBuilder::Messages) = 3.0501
   perl(CGI::FormBuilder::Messages::__LANG__) = 3.0501
   perl(CGI::FormBuilder::Messages::locale) = 3.0501
   perl(CGI::FormBuilder::Multi) = 3.0501
   perl(CGI::FormBuilder::Source) = 3.0501
   perl(CGI::FormBuilder::Source::File) = 3.0501
   perl(CGI::FormBuilder::Template) = 3.0501
   perl(CGI::FormBuilder::Template::Builtin) = 3.0501
   perl(CGI::FormBuilder::Template::Div) = 3.0501
   perl(CGI::FormBuilder::Template::Fast) = 3.0501
   perl(CGI::FormBuilder::Template::HTML) = 3.0501
   perl(CGI::FormBuilder::Template::TT2) = 3.0501
   perl(CGI::FormBuilder::Template::Text) = 3.0501
   perl(CGI::FormBuilder::Test) = 3.0501
   perl(CGI::FormBuilder::Util) = 3.0501
   perl-CGI-FormBuilder = 3.0501-3.fc8
   perl >= 0:5.006
* %check is present and all tests pass:
   All tests successful.
   Files=10, Tests=502,  3 wallclock secs ( 2.67 cusr +  0.35 csys =  3.02 CPU)
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
Comment 6 Jeffrey C. Ollie 2007-06-20 09:13:29 EDT
Thanks for the review!  I've fixed the issues you noted and will import the
fixed version...

New Package CVS Request
Package Name: perl-CGI-FormBuilder
Short Description: Easily generate and process stateful forms
Owners: jeff@ocjtech.us
Branches: devel, F-7, FC-6
Comment 7 Jeffrey C. Ollie 2007-06-20 09:15:43 EDT
Hmm, just noticed that the review flag is still at "?"...  Should I upload my
fixed packaged for a last lookover or was the flag supposed to have been changed
to "+"?
Comment 8 Jason Tibbitts 2007-06-20 10:51:00 EDT
Yeah, I was going to wait to see the final package, especially since I figured
you'd have to check with upstream about that ".orig" file.
Comment 9 Jeffrey C. Ollie 2007-06-20 13:06:15 EDT

* Wed Jun 20 2007 Jeffrey C. Ollie <jeff@ocjtech.us> - 3.0501-4
- Trim the description to something reasonable.
- Delete odd .orig file

I think that the .orig file is just a backup copy that got included by
mistake.  I also noticed an emacs backup file in the original
tarball. All of the self-tests pass if the file is deleted.
Comment 10 Jason Tibbitts 2007-06-20 13:11:45 EDT
Great, thanks.

Comment 11 Jeffrey C. Ollie 2007-06-20 13:19:38 EDT
Thank you!

New Package CVS Request
Package Name: perl-CGI-FormBuilder
Short Description: Easily generate and process stateful forms
Owners: jeff@ocjtech.us
Branches: devel, F-7, FC-6
Comment 12 Jason Tibbitts 2007-06-20 19:34:29 EDT
CVS done.
Comment 13 Ken Dreyer 2014-05-07 18:57:36 EDT
Package Change Request
Package Name: perl-CGI-FormBuilder
New Branches: el6
Owners: ktdreyer
InitialCC: perl-sig

Emailed Jeffrey via personal email last week. I'll be maintaining the EL6 branch to support ikiwiki in EPEL.
Comment 14 Jon Ciesla 2014-05-08 08:15:33 EDT
Git done (by process-git-requests).
Comment 15 Thomas Moschny 2014-07-24 04:57:29 EDT
Ken, would you mind also maintaining an EPEL7 branch?
Comment 16 Ken Dreyer 2014-10-24 11:46:14 EDT
Package Change Request
Package Name: perl-CGI-FormBuilder
New Branches: epel7
Owners: ktdreyer
InitialCC: perl-sig
Comment 17 Jon Ciesla 2014-10-24 13:09:55 EDT
Git done (by process-git-requests).
Comment 18 Thomas Moschny 2015-02-26 13:05:01 EST

Judging from this scratch build:
it seems perl-CGI-FormBuilder builds fine on EPEL7, is anything missing?
Comment 19 Fedora Update System 2015-05-25 17:55:51 EDT
perl-CGI-FormBuilder-3.0800-5.el7 has been submitted as an update for Fedora EPEL 7.
Comment 20 Ken Dreyer 2015-05-25 17:58:53 EDT
(In reply to Thomas Moschny from comment #15)
> Ken, would you mind also maintaining an EPEL7 branch?

Apologies for the long delay here. The EPEL 7 build is now done and submitted to epel-testing.
Comment 21 Thomas Moschny 2015-06-23 05:57:45 EDT
Can you push it to stable, please?
Comment 22 Ken Dreyer 2015-06-23 09:02:57 EDT
(In reply to Thomas Moschny from comment #21)
> Can you push it to stable, please?

Sure, thanks for the reminder.
Comment 23 Fedora Update System 2015-06-25 19:56:46 EDT
perl-CGI-FormBuilder-3.0800-5.el7 has been pushed to the Fedora EPEL 7 stable repository.

Note You need to log in before you can comment on or make changes to this bug.